Name:           global
Version:        6.5.6
Release:	1

Summary:        Source code tag system

Group:          Development/Tools
License:        GPLv2+ and BSD
URL:            http://www.gnu.org/software/global
Source0:        http://tamacom.com/global/global-%{version}.tar.gz
Source1:        http://tamacom.com/global/global-%{version}.tar.gz.sig
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root

Requires:	python

%description
GNU GLOBAL is a source code tag system that works the same way across
diverse environments. It supports C, C++, Yacc, Java, PHP and
assembler source code.


%prep
%setup -q


%build
export CC=xlc_r
./configure \
    --prefix=%{_prefix} \
    --mandir=%{_mandir} \
    --infodir=%{_infodir}
make %{?_smp_mflags}


%install
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}
make DESTDIR=${RPM_BUILD_ROOT} install

strip ${RPM_BUILD_ROOT}%{_bindir}/* || :

rm -rf ${RPM_BUILD_ROOT}%{_datadir}/emacs

rm -f ${RPM_BUILD_ROOT}%{_infodir}/dir
gzip --best ${RPM_BUILD_ROOT}%{_infodir}/*info*

cd ${RPM_BUILD_ROOT}
mkdir -p usr/bin
cd usr/bin
ln -sf ../..%{_bindir}/* .


%post
/sbin/install-info %{_infodir}/%{name}.info.gz %{_infodir}/dir 2>/dev/null || :


%preun
if [ $1 -eq 0 ] ; then
    /sbin/install-info --delete %{_infodir}/%{name}.info.gz %{_infodir}/dir 2>/dev/null || :
fi


%clean
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}


%files
%defattr(-,root,system,-)
%doc README THANKS LICENSE AUTHORS COPYING FAQ globash/globash.rc gtags.el
%{_bindir}/*
%{_infodir}/*
%{_mandir}/man*/*
%{_datadir}/gtags
/usr/bin/*


%changelog
* Mon Dec 19 2016 Michael Perzl <michael@perzl.org> - 6.5.6-1
- updated to version 6.5.6

* Wed Sep 21 2016 Michael Perzl <michael@perzl.org> - 6.5.5-1
- updated to version 6.5.5

* Mon Apr 04 2016 Michael Perzl <michael@perzl.org> - 6.5.4-1
- updated to version 6.5.4

* Mon Mar 28 2016 Michael Perzl <michael@perzl.org> - 6.5.3-1
- updated to version 6.5.3

* Fri Dec 25 2015 Michael Perzl <michael@perzl.org> - 6.5.2-1
- updated to version 6.5.2

* Tue Sep 15 2015 Michael Perzl <michael@perzl.org> - 6.5.1-1
- updated to version 6.5.1

* Wed Jun 10 2015 Michael Perzl <michael@perzl.org> - 6.5-1
- updated to version 6.5

* Wed Jun 10 2015 Michael Perzl <michael@perzl.org> - 6.4-1
- updated to version 6.4

* Mon Feb 02 2015 Michael Perzl <michael@perzl.org> - 6.3.4-1
- updated to version 6.3.4

* Wed Nov 26 2014 Michael Perzl <michael@perzl.org> - 6.3.3-1
- updated to version 6.3.3

* Thu Sep 04 2014 Michael Perzl <michael@perzl.org> - 6.3.2-1
- updated to version 6.3.2

* Mon Aug 11 2014 Michael Perzl <michael@perzl.org> - 6.3.1-1
- updated to version 6.3.1

* Tue Jun 10 2014 Michael Perzl <michael@perzl.org> - 6.3-1
- updated to version 6.3

* Mon Mar 31 2014 Michael Perzl <michael@perzl.org> - 6.2.12-1
- updated to version 6.2.12

* Wed Mar 12 2014 Michael Perzl <michael@perzl.org> - 6.2.11-1
- updated to version 6.2.11

* Wed Mar 12 2014 Michael Perzl <michael@perzl.org> - 6.2.10-1
- updated to version 6.2.10

* Mon Aug 26 2013 Michael Perzl <michael@perzl.org> - 6.2.9-1
- updated to version 6.2.9

* Thu Feb 28 2013 Michael Perzl <michael@perzl.org> - 6.2.8-1
- updated to version 6.2.8

* Sat Dec 22 2012 Michael Perzl <michael@perzl.org> - 6.2.7-1
- updated to version 6.2.7

* Tue Dec 11 2012 Michael Perzl <michael@perzl.org> - 6.2.6-1
- updated to version 6.2.6

* Fri Nov 23 2012 Michael Perzl <michael@perzl.org> - 6.2.5-1
- updated to version 6.2.5

* Wed May 30 2012 Michael Perzl <michael@perzl.org> - 6.2.4-1
- updated to version 6.2.4

* Thu Mar 15 2012 Michael Perzl <michael@perzl.org> - 6.2.2-1
- updated to version 6.2.2

* Fri Feb 24 2012 Michael Perzl <michael@perzl.org> - 6.2.1-1
- updated to version 6.2.1

* Fri Jan 27 2012 Michael Perzl <michael@perzl.org> - 6.2-1
- updated to version 6.2

* Fri Oct 07 2011 Michael Perzl <michael@perzl.org> - 6.1-1
- updated to version 6.1

* Wed Sep 07 2011 Michael Perzl <michael@perzl.org> - 6.0-1
- updated to version 6.0

* Fri Jul 01 2011 Michael Perzl <michael@perzl.org> - 5.9.7-1
- updated to version 5.9.7

* Tue Jun 07 2011 Michael Perzl <michael@perzl.org> - 5.9.6-1
- updated to version 5.9.6

* Mon May 16 2011 Michael Perzl <michael@perzl.org> - 5.9.5-1
- updated to version 5.9.5

* Tue Mar 08 2011 Michael Perzl <michael@perzl.org> - 5.9.4-1
- updated to version 5.9.4

* Mon Dec 06 2010 Michael Perzl <michael@perzl.org> - 5.9.3-1
- updated to version 5.9.3

* Mon Aug 30 2010 Michael Perzl <michael@perzl.org> - 5.9.2-1
- updated to version 5.9.2

* Mon Jul 19 2010 Michael Perzl <michael@perzl.org> - 5.9.1-1
- updated to version 5.9.1

* Tue Jun 08 2010 Michael Perzl <michael@perzl.org> - 5.9-1
- updated to version 5.9

* Tue Jun 08 2010 Michael Perzl <michael@perzl.org> - 5.8.2-1
- updated to version 5.8.2

* Mon Mar 08 2010 Michael Perzl <michael@perzl.org> - 5.8.1-1
- updated to version 5.8.1

* Thu Oct 08 2009 Michael Perzl <michael@perzl.org> - 5.7.6-1
- updated to version 5.7.6

* Fri Oct 31 2008 Michael Perzl <michael@perzl.org> - 5.7.3-1
- first version for AIX V5.1 and higher
